upgrade_340

Execute changes made in WordPress 3.4.

Description

upgrade_340(); 

Usage

  1. if ( !function_exists( 'upgrade_340' ) ) { 
  2. require_once ABSPATH . '/wp-admin/includes/upgrade.php'; 
  3.  
  4.  
  5. // NOTICE! Understand what this does before running. 
  6. $result = upgrade_340(); 
  7.  

Defined (1)

The function is defined in the following location(s).

/wp-admin/includes/upgrade.php  
  1. function upgrade_340() { 
  2. global $wp_current_db_version, $wpdb; 
  3.  
  4. if ( $wp_current_db_version < 19798 ) { 
  5. $wpdb->hide_errors(); 
  6. $wpdb->query( "ALTER TABLE $wpdb->options DROP COLUMN blog_id" ); 
  7. $wpdb->show_errors(); 
  8.  
  9. if ( $wp_current_db_version < 19799 ) { 
  10. $wpdb->hide_errors(); 
  11. $wpdb->query("ALTER TABLE $wpdb->comments DROP INDEX comment_approved"); 
  12. $wpdb->show_errors(); 
  13.  
  14. if ( $wp_current_db_version < 20022 && wp_should_upgrade_global_tables() ) { 
  15. $wpdb->query( "DELETE FROM $wpdb->usermeta WHERE meta_key = 'themes_last_view'" ); 
  16.  
  17. if ( $wp_current_db_version < 20080 ) { 
  18. if ( 'yes' == $wpdb->get_var( "SELECT autoload FROM $wpdb->options WHERE option_name = 'uninstall_plugins'" ) ) { 
  19. $uninstall_plugins = get_option( 'uninstall_plugins' ); 
  20. delete_option( 'uninstall_plugins' ); 
  21. add_option( 'uninstall_plugins', $uninstall_plugins, null, 'no' );